#pragma once

typedef enum _EncMethod {
	Device = 0,
	License = 1
}EncMethod;

extern "C" bool GenerateDeviceID(void);
extern "C" bool GenerateLicenseData(const char* flag, const char* suffix);
extern "C" bool VerifyLicense(void);
extern "C" bool AddParaForLicenseData(char* flag, char* suffix);
extern "C" bool DeleteParaForLicenseData(char* flag);
extern "C" bool AnalysisLicense(const char* flag);